<!DOCTYPE html>
<html>
    <head>
        <meta charset="UTF-8">
        <title>{% block title %}Welcome!{% endblock %}</title>
        <link rel="icon" href="data:image/svg+xml,<svg xmlns=%22http://www.w3.org/2000/svg%22 viewBox=%220 0 128 128%22><text y=%221.2em%22 font-size=%2296%22>⚫️</text></svg>">
        <meta name="viewport" content="width=device-width, initial-scale=1">
        {# Run `composer require symfony/webpack-encore-bundle` to start using Symfony UX #}
        <link href="{{asset('css/main.css')}}" type="text/css" rel="stylesheet" />
        <link href="//db.onlinewebfonts.com/c/827d075b1538829cc0db75696e4d5fa2?family=Speedee" rel="stylesheet" type="text/css"/>
        {% block stylesheets %}
        {% endblock %}

        {% block javascripts %}
        {% endblock %}
    </head>
    <body>
        <header>
            <nav>
                <ul class="navbar">
                    <li>
                        {% if is_granted('ROLE_ADMIN') %}
                            <a href="{{ url('admin_produits_index') }}">
                        {% else %}
                            <a href="{{ url('app_produits_index') }}">
                        {% endif %}
                                Notre Carte
                            </a>
                    </li>
                    <li>
                        <a href="/">
                            <img 
                                src="{{ asset('assets/logoMcdo.png') }}" 
                                alt="logo de dead cow diner"
                                id="logoMcdo"
                            >
                         </a>
                    </li>
                    <li>
                        {% if is_granted('ROLE_ADMIN') %}
                            <a href="{{ url('admin_reservation_index') }}">
                        {% else %}
                            <a href="{{ url('app_reservation_new') }}">
                        {% endif %}
                                réservation
                            </a>
                    </li>
                </ul>
            </nav>
        </header>
        {% if is_granted('ROLE_ADMIN') %} 
            <div id="admin-nav">
                <ul id="admin-list">
                    <li><a href="{{ url('admin_produits_index') }}">produits</a></li>
                    <li><a href="{{ url('admin_categories_index') }}">catégories</a></li>
                    <li><a href="{{ url('admin_reservation_index') }}">réservations</a></li>
                    <li><a href="{{ url('admin_encarts_index') }}">encarts</a></li>
                    <li><a href="{{ url('app_logout') }}">déconnexion</a></li>
                </ul>
            </div>
        {% endif %}

        {% block body %}
        {% endblock %}
    </body>
</html>
